Subject: bug#47889: [installer image] grub-install efi fails getting canonical path to /boot/efi on dos-formatted disk

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 26 Apr 2021 13:17:00 +0200

On Sun, Apr 25, 2021 at 07:12:39PM +0200, Mathieu Othacehe wrote:
> 
> Hello Florian,
> 
> > Can you force GPT also in 2.?  All disk partitions get removed anyway.
> > Arch wiki says MSDOS layout does not work on all EFI systems
> > <https://wiki.archlinux.org/index.php/EFI_system_partition#Create_the_partition>.
> 
> Well I'm not sure, if someone has an MSDOS partition table with an ESP
> partition it wouldn't be a good idea to wipe it.

You are right of course; the old ESP may contain boot information for
other disks or network boot or whatever.

> The attached patch forces GPT if there's no partition table, and will
> preserve/create an ESP partition on an MSDOS/EFI setup. I'm testing it
> on various machines, seems to work fine.

Thank you for this patch!!  It installs EFI on msdos layout
successfully on my Beebox PC.  That said, it could force GPT on msdos
layouts as well if they lack an ESP.  But I’m already happy.

Regards,
Florian